> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contract NFT Owners

> Get list of wallet addresses owning one or more of the contract's nfts.



## OpenAPI

````yaml /reference/api-json.json get /nft/owners/contract
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /nft/owners/contract:
    get:
      tags:
        - NFT
      summary: Get Contract NFT Owners
      description: Get list of wallet addresses owning one or more of the contract's nfts.
      operationId: NFTOwnersByContract
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTOwnersByContractResponse'
components:
  schemas:
    NFTOwnersByContractResponse:
      type: object
      properties:
        owners:
          type: array
          items:
            $ref: '#/components/schemas/NFTOwnersByContractResponseItem'
        cursor:
          type: string
          example: >-
            ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==
      required:
        - owners
        - cursor
    NFTOwnersByContractResponseItem:
      type: object
      properties:
        ownerAddress:
          type: string
          example: '0x18a808dd312736fc75eb967fc61990af726f04e4'
        quantity:
          type: string
          example: '18'
        acquiredDate:
          type: string
          example: '2022-05-10T02:22:25Z'
      required:
        - ownerAddress
        - quantity
        - acquiredDate
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````